import  java.util.function.Function;
class LamWithAnField {
 Integer mul(Integer x, Integer y) {
  	return x;
   }
 LamWithField temp= new LamWithField();
 Function<Integer,Integer>  m () {
   Function<Integer,Integer> lam1 = (Integer x) -> {
       return temp.res*x;
   };
   return lam1;
  }
}

